curl --request POST \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}:send-reminders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}:send-reminders"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}:send-reminders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#409-conflict",
"title": "Conflict",
"status": 409,
"detail": "Envelope in invalid state",
"instance": "/sign/envelopes/%s:send-for-signing"
}Send Reminders for Envelope
The Send Reminders for Envelope endpoint triggers reminder notifications to pending participants of a specified envelope using its UUIDv4 identifier.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
Body
The notification object defines the reminder notifications sent to pending participants. It contains a subject and a body as nested parameters, and both fields support dynamic variables.
Dynamic Variables
You can personalize notification emails by referencing dynamic variables in the subject or body.
Available variables:
envelope_name: The name of the envelope being signed.
sender_name_or_email: The sender’s name, or their email address if the name is not available.
Syntax:
To reference the variables, wrap them with $() in your message. Example: $(envelope_name)
notification object example:
{
"notification": {
"subject": "$(sender_name_or_email) is requesting your signature",
"body": "Hi,\nPlease sign the $(envelope_name)\nThank you,\n$(sender_name_or_email)"
}
}
Note: If the notification object is not provided in the request (or an empty object {} is sent), reminder emails will be sent using the default notification template that was configured when the envelope was created.
Show child attributes
Show child attributes
Response
Reminders triggered successfully